BETA2UNI(1)

NAME
beta2uni - Convert a polytonic Greek document from Beta Code to UTF-8

SYNOPSIS
beta2uni [-b] [-i input_file.utf8] [-o output_file.beta]

DESCRIPTION
beta2uni(1) reads a document encoded using Beta Code and converts it to UTF-8 Unicode. Beta Code is an ASCII-only encoding scheme most commonly used for digital representation of polytonic Greek.

Beta Code has become a widely-adopted standard for encoding classical Greek. It was developed by David Packard in the 1970s and adopted by the Thesaurus Linguae Graecae (TLG) Project at the University of California, Irvine shortly thereafter. This encoding was later adopted by the Perseus Project in the 1980s (originally at Harvard University, now at Tufts University) and by many other collections of classical and Koine Greek. Today, the TLG corpus alone contains over 100 million words from classical to Byzantine Greek.

The TLG uses uppercase Latin letters; the Perseus Project uses lowercase. beta2uni(1) will accept either.

Many classicists who use Beta Code have been actively involved in The Unicode Standard, with evolving recommendations for mapping between Beta Code and Unicode. beta2uni(1) provides a capability for GNU/Linux users who wish to convert Beta Code texts to Unicode.

Note: Thesaurus Linguae Graecae and TLG are registered trademarks of the University of California.

OPTIONS

-b  Begin the UTF-8 output file with the UTF-8 encoding of the Unicode Byte Order Mark, U+FFFE. This is not the default.

-i  Specify the input file. The default is STDIN.

-o  Specify the output file. The default is STDOUT.

-v  Print the program version and exit.

--version
    Print the program version and exit.

Sample usage:

    beta2uni -i my_input_file.beta -o my_output_file.utf8

FILES
ASCII text files using Beta Code to encode polytonic Greek.

SEE ALSO
unibetaprep(1), uni2beta(1), libunibetacode(3), unibetacode(5)

AUTHOR
beta2uni was written by Paul Hardy.

LICENSE
beta2uni is Copyright © 2018, 2019, 2020 Paul Hardy.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

BUGS
No known bugs exist.